Package org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory

# Interface IAccessorFactory.Registry

All Known Implementing Classes:
  `AccessorFactoryRegistryImpl`

Enclosing interface:
  `IAccessorFactory`

public static interface IAccessorFactory.Registry
The registry of `IAccessorFactory`.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`IAccessorFactory`
`add(IAccessorFactory factory)`
Add the given factory to the registry.
`void`
`clear()`
Clear the registry.
`Collection<IAccessorFactory>`
`getFactories(Object target)`
Returns all the factories available in the registry for the given object.
`IAccessorFactory`
`getHighestRankingFactory(Object target)`
Returns the highest ranking factory available for the given object.
`IAccessorFactory`
`remove(String className)`
Remove the factory represented by the given class name.

## Method Details

### getHighestRankingFactory

IAccessorFactory getHighestRankingFactory(Object target)
Returns the highest ranking factory available for the given object.

Parameters:
  `target` - the given object.
Returns:
  the highest ranking factory available for the given object.

### getFactories

Collection<IAccessorFactory> getFactories(Object target)
Returns all the factories available in the registry for the given object.

Parameters:
  `target` - the given object.
Returns:
  all the factories available in the registry for the given object.

### add

IAccessorFactory add(IAccessorFactory factory)
Add the given factory to the registry.

Parameters:
  `factory` - the given factory.
Returns:
  the given factory.

### remove

IAccessorFactory remove(String className)
Remove the factory represented by the given class name.

Parameters:
  `className` - the class name of the factory to removed.
Returns:
  the factory removed.

### clear

void clear()
Clear the registry.